## unio-cli-0.1.3.tar.gz

=== requirements.txt ===
gunicorn
flask
flask-mqtt
pigpio
eventlet #TODO green threads?
smbus2

# Required for sync standalone
requests
netifaces
pytz

#Pillow
#pyserial

=== python-gpiozero/Makefile ===
# vim: set noet sw=4 ts=4 fileencoding=utf-8:

# External utilities
PYTHON=python3
PIP=pip3
PYTEST=py.test
COVERAGE=coverage
TWINE=twine
PYFLAGS=
DEST_DIR=/

# Horrid hack to ensure setuptools is installed in our python environment. This
# is necessary with Python 3.3's venvs which don't install it by default.
ifeq ($(shell python -c "import setuptools" 2>&1),)
SETUPTOOLS:=
else
SETUPTOOLS:=$(shell wget https://bitbucket.org/pypa/setuptools/raw/bootstrap/ez_setup.py -O - | $(PYTHON))
endif

# Calculate the base names of the distribution, the location of all source,
# documentation, packaging, icon, and executable script files
NAME:=$(shell $(PYTHON) $(PYFLAGS) setup.py --name)
VER:=$(shell $(PYTHON) $(PYFLAGS) setup.py --version)
ifeq ($(shell lsb_release -si),Ubuntu)
DEB_SUFFIX:=ubuntu1
else
DEB_SUFFIX:=
endif
DEB_ARCH:=$(shell dpkg --print-architecture)
PYVER:=$(shell $(PYTHON) $(PYFLAGS) -c "import sys; print('py%d.%d' % sys.version_info[:2])")
PY_SOURCES:=$(shell \
	$(PYTHON) $(PYFLAGS) setup.py egg_info >/dev/null 2>&1 && \
	grep -v "\.egg-info" $(NAME).egg-info/SOURCES.txt)
DEB_SOURCES:=debian/changelog \
	debian/control \
	debian/copyright \
	debian/rules \
	debian/docs \
	$(wildcard debian/*.init) \
	$(wildcard debian/*.default) \
	$(wildcard debian/*.manpages) \
	$(wildcard debian/*.docs) \
	$(wildcard debian/*.doc-base) \
	$(wildcard debian/*.desktop)
DOC_SOURCES:=docs/conf.py \
	$(wildcard docs/*.png) \
	$(wildcard docs/*.svg) \
	$(wildcard docs/*.dot) \
	$(wildcard docs/*.mscgen) \
	$(wildcard docs/*.gpi) \
	$(wildcard docs/*.rst) \
	$(wildcard docs/*.pdf)
SUBDIRS:=

# Calculate the name of all outputs
DIST_WHEEL=dist/$(NAME)-$(VER)-py2.py3-none-any.whl
DIST_TAR=dist/$(NAME)-$(VER).tar.gz
DIST_ZIP=dist/$(NAME)-$(VER).zip
DIST_DEB=dist/python-$(NAME)_$(VER)$(DEB_SUFFIX)_all.deb \
	dist/python3-$(NAME)_$(VER)$(DEB_SUFFIX)_all.deb \
	dist/python-$(NAME)-doc_$(VER)$(DEB_SUFFIX)_all.deb \
	dist/$(NAME)_$(VER)$(DEB_SUFFIX)_$(DEB_ARCH).build \
	dist/$(NAME)_$(VER)$(DEB_SUFFIX)_$(DEB_ARCH).buildinfo \
	dist/$(NAME)_$(VER)$(DEB_SUFFIX)_$(DEB_ARCH).changes
DIST_DSC=dist/$(NAME)_$(VER)$(DEB_SUFFIX).tar.xz \
	dist/$(NAME)_$(VER)$(DEB_SUFFIX).dsc \
	dist/$(NAME)_$(VER)$(DEB_SUFFIX)_source.build \
	dist/$(NAME)_$(VER)$(DEB_SUFFIX)_source.buildinfo \
	dist/$(NAME)_$(VER)$(DEB_SUFFIX)_source.changes


# Default target
all:
	@echo "make install - Install on local system"
	@echo "make develop - Install symlinks for development"
	@echo "make test - Run tests"
	@echo "make doc - Generate HTML and PDF documentation"
	@echo "make source - Create source package"
	@echo "make egg - Generate a PyPI egg package"
	@echo "make zip - Generate a source zip package"
	@echo "make tar - Generate a source tar package"
	@echo "make deb - Generate Debian packages"
	@echo "make dist - Generate all packages"
	@echo "make clean - Get rid of all generated files"
	@echo "make release - Create and tag a new release"
	@echo "make upload - Upload the new release to repositories"

install: $(SUBDIRS)
	$(PYTHON) $(PYFLAGS) setup.py install --root $(DEST_DIR)

doc: $(DOC_SOURCES)
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(MAKE) -C docs epub
	$(MAKE) -C docs latexpdf

source: $(DIST_TAR) $(DIST_ZIP)

wheel: $(DIST_WHEEL)

zip: $(DIST_ZIP)

tar: $(DIST_TAR)

deb: $(DIST_DEB) $(DIST_DSC)

dist: $(DIST_WHEEL) $(DIST_DEB) $(DIST_DSC) $(DIST_TAR) $(DIST_ZIP)

develop: tags
	@# These have to be done separately to avoid a cockup...
	$(PIP) install -U setuptools
	$(PIP) install -U pip
	$(PIP) install -e .[doc,test]

test:
	$(COVERAGE) run -m $(PYTEST) tests -v -r sx
	$(COVERAGE) report --rcfile coverage.cfg

clean:
	dh_clean
	rm -fr dist/ $(NAME).egg-info/ tags
	for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir clean; \
	done

tags: $(PY_SOURCES)
	ctags -R --exclude="build/*" --exclude="debian/*" --exclude="docs/*" --languages="Python"

$(SUBDIRS):
	$(MAKE) -C $@

$(DIST_TAR): $(PY_SOURCES) $(SUBDIRS)
	$(PYTHON) $(PYFLAGS) setup.py sdist --formats gztar

$(DIST_ZIP): $(PY_SOURCES) $(SUBDIRS)
	$(PYTHON) $(PYFLAGS) setup.py sdist --formats zip

$(DIST_WHEEL): $(PY_SOURCES) $(SUBDIRS)
	$(PYTHON) $(PYFLAGS) setup.py bdist_wheel --universal

$(DIST_DEB): $(PY_SOURCES) $(SUBDIRS) $(DEB_SOURCES)
	# build the binary package in the parent directory then rename it to
	# project_version.orig.tar.gz
	$(PYTHON) $(PYFLAGS) setup.py sdist --dist-dir=../
	rename -f 's/$(NAME)-(.*)\.tar\.gz/$(NAME)_$$1\.orig\.tar\.gz/' ../*
	debuild -b
	mkdir -p dist/
	for f in $(DIST_DEB); do cp ../$${f##*/} dist/; done

$(DIST_DSC): $(PY_SOURCES) $(SUBDIRS) $(DEB_SOURCES)
	# build the source package in the parent directory then rename it to
	# project_version.orig.tar.gz
	$(PYTHON) $(PYFLAGS) setup.py sdist --dist-dir=../
	rename -f 's/$(NAME)-(.*)\.tar\.gz/$(NAME)_$$1\.orig\.tar\.gz/' ../*
	debuild -S
	mkdir -p dist/
	for f in $(DIST_DSC); do cp ../$${f##*/} dist/; done

changelog: $(PY_SOURCES) $(DOC_SOURCES) $(DEB_SOURCES)
	$(MAKE) clean
	# ensure there are no current uncommitted changes
	test -z "$(shell git status --porcelain)"
	# update the debian changelog with new release information
	dch --newversion $(VER)$(DEB_SUFFIX)
	# commit the changes and add a new tag
	git commit debian/changelog -m "Updated changelog for release $(VER)"

release: $(DIST_DEB) $(DIST_DSC) $(DIST_TAR) $(DIST_WHEEL)
	git tag -s v$(VER) -m "Release v$(VER)"
	git push --tags
	# build a source archive and upload to PyPI
	$(TWINE) upload $(DIST_TAR) $(DIST_WHEEL)
	# build the deb source archive and upload to Raspbian
	dput raspberrypi dist/$(NAME)_$(VER)$(DEB_SUFFIX)_source.changes
	dput raspberrypi dist/$(NAME)_$(VER)$(DEB_SUFFIX)_$(DEB_ARCH).changes

.PHONY: all install develop test doc source egg wheel zip tar deb dist clean tags release upload $(SUBDIRS)

=== rpi_ws281x/SConstruct ===
#
# SConstruct
#
# Copyright (c) 2014 Jeremy Garff <jer @ jers.net>
#
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without modification, are permitted
# provided that the following conditions are met:
#
#     1.  Redistributions of source code must retain the above copyright notice, this list of
#         conditions and the following disclaimer.
#     2.  Redistributions in binary form must reproduce the above copyright notice, this list
#         of conditions and the following disclaimer in the documentation and/or other materials
#         provided with the distribution.
#     3.  Neither the name of the owner nor the names of its contributors may be used to endorse
#         or promote products derived from this software without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
# FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
# OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#


import os


opts = Variables()
opts.Add(BoolVariable('V',
                      'Verbose build',
                      False))

opts.Add('TOOLCHAIN',
         'Set toolchain for cross compilation (e.g. arm-linux-gnueabihf)',
         '')

platforms = [ 
    [
        'userspace',            # Target Name
        [ 'linux', 'version' ], # Scons tool (linux, avr, etc.)
        {                       # Special environment setup
            'CPPPATH' : [
            ],
            'LINKFLAGS' : [
                "-lrt",
            ],
        },
    ], 
]

clean_envs = {}
for platform, tool, flags in platforms:
    env = Environment(
        options = opts,
        tools = tool,
        toolpath = ['.'],
        ENV = {'PATH' : os.environ['PATH']},
        LIBS = [],
    )
    env.MergeFlags(flags)
    clean_envs[platform] = env

Help(opts.GenerateHelpText(clean_envs))

if env['TOOLCHAIN'] != '':
    env['CC'] = env['TOOLCHAIN'] + '-gcc'
    env['AR'] = env['TOOLCHAIN'] + '-ar'

Export(['clean_envs'])
SConscript('SConscript');

=== python-gpiozero/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../build
DOT_DIAGRAMS  := $(wildcard images/*.dot)
MSC_DIAGRAMS  := $(wildcard images/*.mscgen)
GPI_DIAGRAMS  := $(wildcard images/*.gpi)
SVG_IMAGES    := $(wildcard images/*.svg) $(DOT_DIAGRAMS:%.dot=%.svg) $(MSC_DIAGRAMS:%.mscgen=%.svg)
PNG_IMAGES    := $(wildcard images/*.png) $(GPI_DIAGRAMS:%.gpi=%.png) $(SVG_IMAGES:%.svg=%.png)
PDF_IMAGES    := $(SVG_IMAGES:%.svg=%.pdf) $(GPI_DIAGRAMS:%.gpi=%.pdf) $(DOT_DIAGRAMS:%.dot=%.pdf) $(MSC_DIAGRAMS:%.mscgen=%.pdf)

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html: $(SVG_IMAGES) $(PNG_IMAGES)
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: $(SVG_IMAGES) $(PNG_IMAGES)
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml: $(SVG_IMAGES) $(PNG_IMAGES)
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/gpiozero.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/gpiozero.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/gpiozero"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/gpiozero"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex: $(PDF_IMAGES)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: $(PDF_IMAGES)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja: $(PDF_IMAGES)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

%.svg: %.mscgen
	mscgen -T svg -o $@ $<

%.svg: %.dot
	dot -T svg -o $@ $<

%.png: %.gpi common.gp
	gnuplot -e "set term pngcairo size 640,480" $< > $@

%.png: %.svg
	inkscape -e $@ $<

%.pdf: %.svg
	inkscape -A $@ $<

%.pdf: %.gpi common.gp
	gnuplot -e "set term pdfcairo size 10cm,7.5cm" $< > $@

%.pdf: %.mscgen
	mscgen -T eps -o - $< | ps2pdf -dEPSCrop - $@

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

=== python-gpiozero/debian/changelog ===
gpiozero (1.4.1) stable; urgency=low

  * Added "curve_left" and "curve_right" parameters to "Robot.forward" and
    "Robot.backward" (#306 and #619)
  * Fixed "DistanceSensor" returning incorrect readings after a long pause,
    and added a lock to ensure multiple distance sensors can operate
    simultaneously in a single project (#584, #595, #617, #618)
  * Added support for phase/enable motor drivers with "PhaseEnableMotor",
    "PhaseEnableRobot", and descendants, thanks to Ian Harcombe!  (#386)
  * A variety of other minor enhancements, largely thanks to Andrew Scheller!
    (#479, #489, #491, #492)

 -- Dave Jones <dave@waveform.org.uk>  Tue, 20 Feb 2018 21:59:28 +0000

gpiozero (1.4.0) stable; urgency=low

  * Pin factory is now configurable from device constructors as well as
    command line. NOTE: this is a backwards incompatible change for manual pin
    construction but it's hoped this is (currently) a sufficiently rare use
    case that this won't affect too many people and the benefits of the new
    system warrant such a change, i.e. the ability to use remote pin factories
    with HAT classes that don't accept pin assignations (#279)
  * Major work on SPI, primarily to support remote hardware SPI (#421, #459,
    #465, #468, #575)
  * Pin reservation now works properly between GPIO and SPI devices (#459,
    #468)
  * Lots of work on the documentation: source/values chapter, better charts,
    more recipes, remote GPIO configuration, mock pins, better PDF output
    (#484, #469, #523, #520, #434, #565, #576)
  * Support for "StatusZero" and "StatusBoard" HATs (#558)
  * Added pinout command line tool to provide a simple reference to the GPIO
    layout and information about the associated Pi (#497, #504) thanks to
    Stewart Adcock for the initial work
  * "pi_info" made more lenient for new (unknown) Pi models (#529)
  * Fixed a variety of packaging issues (#535, #518, #519)
  * Improved text in factory fallback warnings (#572)

 -- Dave Jones <dave@waveform.org.uk>  Wed, 26 Jul 2017 23:02:35 +0100

gpiozero (1.3.2) stable; urgency=low

  * Added new Pi models to stop "pi_info" breaking

 -- Ben Nuttall <ben@raspberrypi.org>  Fri, 03 Mar 2017 13:18:00 +0100

gpiozero (1.3.1) stable; urgency=low

  * Fixed hardware SPI support which Dave broke in 1.3.0. Sorry!
  * Some minor docs changes

 -- Dave Jones <dave@waveform.org.uk>  Wed, 31 Aug 2016 23:40:33 +0100

gpiozero (1.3.0) stable; urgency=low

  * Added "ButtonBoard" for reading multiple buttons in a single class (#340)
  * Added "Servo" and "AngularServo" classes for controlling simple servo
    motors (#248)
  * Lots of work on supporting easier use of internal and third-part pin
    implementations (#359)
  * "Robot" now has a proper "value" attribute (#305)
  * Added "CPUTemperature" as another demo of "internal" devices (#294)
  * A temporary work-around for an issue with "DistanceSensor" was included
    but a full fix is in the works (#385)
  * More work on the documentation (#320, #295, #289, etc.)

 -- Dave Jones <dave@waveform.org.uk>  Wed, 31 Aug 2016 00:18:18 +0100

gpiozero (1.2.0) stable; urgency=low

  * Added "Energenie" class for controlling Energenie plugs (#69)
  * Added "LineSensor" class for single line-sensors (#109)
  * Added "DistanceSensor" class for HC-SR04 ultra-sonic sensors (#114)
  * Added "SnowPi" class for the Ryanteck Snow-pi board (#130)
  * Added "when_held" (and related properties) to "Button" (#115)
  * Fixed issues with installing GPIO Zero for python 3 on Raspbian Wheezy
    releases (#140)
  * Added support for lots of ADC chips (MCP3xxx family) (#162) - many thanks
    to pcopa and lurch!
  * Added support for pigpiod as a pin implementation with "PiGPIOPin" (#180)
  * Many refinements to the base classes mean more consistency in composite
    devices and several bugs squashed (#164, #175, #182, #189, #193, #229)
  * GPIO Zero is now aware of what sort of Pi it's running on via "pi_info"
    and has a fairly extensive database of Pi information which it uses to
    determine when users request impossible things (like pull-down on a pin
    with a physical pull-up resistor) (#222)
  * The source/values system was enhanced to ensure normal usage doesn't
    stress the CPU and lots of utilities were added (#181, #251)

 -- Dave Jones <dave@waveform.org.uk>  Sun, 10 Apr 2016 21:04:42 +0100

gpiozero (1.1.0) stable; urgency=low

  * Documentation converted to reST and expanded to include generic classes
    and several more recipes (#80, #82, #101, #119, #135, #168)
  * New "LEDBarGraph" class (many thanks to Martin O'Hanlon!) (#126, #176)
  * New "Pin" implementation abstracts out the concept of a GPIO pin paving
    the way for alternate library support and IO extenders in future (#141)
  * New "LEDBoard.blink" method which works properly even when background is
    set to "False" (#94, #161)
  * New "RGBLED.blink" method which implements (rudimentary) color fading
    too! (#135, #174)
  * New "initial_value" attribute on "OutputDevice" ensures consistent
    behaviour on construction (#118)
  * New "active_high" attribute on "PWMOutputDevice" and "RGBLED" allows use
    of common anode devices (#143, #154)
  * Loads of new ADC chips supported (many thanks to GitHub user pcopa!)
    (#150)

 -- Dave Jones <dave@waveform.org.uk>  Mon, 08 Feb 2016 23:55:00 +0000

gpiozero (1.0.0) stable; urgency=low

  * Debian packaging added (#44)
  * PWMLED class added (#58)
  * TemperatureSensor remove pending further work (#93)
  * Buzzer.beep alias method added (#75)
  * Motor PWM devices exposed, and Robot motor devices exposed (#107)

 -- Dave Jones <dave@waveform.org.uk>  Mon, 16 Nov 2015 12:16:29 +0000

gpiozero (0.9.0) stable; urgency=medium

  * Added source and values properties to all relevant classes (#76)
  * Fix names of parameters in Motor constructor (#79)
  * Added wrappers for LED groups on add-on boards (#81)



=== python-gpiozero/debian/control ===
Source: gpiozero
Maintainer: Ben Nuttall <ben@raspberrypi.org>
Homepage: http://gpiozero.readthedocs.io/
Section: python
Priority: extra
Build-Depends:
 debhelper (>= 8),
 dh-python,
 python-all (>= 2.7),
 python-setuptools,
 python3-all,
 python3-setuptools,
 python3-sphinx
Standards-Version: 3.9.6
Vcs-Git: https://github.com/RPi-Distro/python-gpiozero.git
Vcs-Browser: https://github.com/RPi-Distro/python-gpiozero
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-gpiozero
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}, python-pkg-resources
Recommends: python-rpi.gpio, python-spidev
Suggests: python-gpiozero-docs
Description: Simple API for controlling devices attached to a Pi's GPIO pins.
 gpiozero builds on various pin libraries to provide a set of classes designed
 to simplify interaction with devices connected to the GPIO pins, from simple
 buttons and LEDs, up to various add-on boards. The API tries to adhere closely
 to Python's idioms and naming conventions, and features alternative
 programming paradigm approaches.
 .
 This is the Python 2 version of the package.

Package: python3-gpiozero
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources
Recommends: python3-rpi.gpio, python3-spidev
Suggests: python-gpiozero-docs
Description: Simple API for controlling devices attached to a Pi's GPIO pins.
 gpiozero builds on various pin libraries to provide a set of classes designed
 to simplify interaction with devices connected to the GPIO pins, from simple
 buttons and LEDs, up to various add-on boards. The API tries to adhere closely
 to Python's idioms and naming conventions, and features alternative
 programming paradigm approaches.
 .
 This is the Python 3 version of the package.

Package: python-gpiozero-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Simple API for controlling devices attached to a Pi's GPIO pins.
 gpiozero builds on various pin libraries to provide a set of classes designed
 to simplify interaction with devices connected to the GPIO pins, from simple
 buttons and LEDs, up to various add-on boards. The API tries to adhere closely
 to Python's idioms and naming conventions, and features alternative
 programming paradigm approaches.
 .
 This is the version independent documentation for the package.

=== python-gpiozero/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS

export PYBUILD_NAME=gpiozero

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	# Strip out binaries from the py2 package
	rm debian/python-gpiozero/usr/bin/pinout

override_dh_auto_test:
	# Don't run the tests!

#override_dh_installdocs:
#	python setup.py build_sphinx -b html
#	dh_installdocs

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -bhtml docs/ build/html
	PYTHONPATH=. sphinx-build -N -bman docs/ build/man
